### Method

# Gimp Drawable get_filters

since: 3.0

#### Declaration [src]

    GimpDrawableFilter**
    gimp_drawable_get_filters (
      GimpDrawable* drawable
    )

#### Description [src]

Returns the list of filters applied to the drawable.

This procedure returns the list of filters which are currently applied non-destructively to `drawable`. The order of filters is from topmost to bottommost.

Available since: 3.0

#### Return value

Type: An array of `GimpDrawableFilter*`

         The list of filters on the drawable.
         The returned value must be freed with g_free().

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data container, but not the data inside it.